OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.IBM.MultimodeDrawArrays

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetIBMMultimodeDrawArrays :: MonadIO m => m Bool
- gl_IBM_multimode_draw_arrays :: Bool
- glMultiModeDrawArraysIBM :: MonadIO m => Ptr GLenum -> Ptr GLint -> Ptr GLsizei -> GLsizei -> GLint -> m ()
- glMultiModeDrawElementsIBM :: MonadIO m => Ptr GLenum -> Ptr GLsizei -> GLenum -> Ptr (Ptr a) -> GLsizei -> GLint -> m ()

# Extension Support

glGetIBMMultimodeDrawArrays :: MonadIO m => m Bool Source #

Is the IBM_multimode_draw_arrays extension supported?

gl_IBM_multimode_draw_arrays :: Bool Source #

Is the IBM_multimode_draw_arrays extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetIBMMultimodeDrawArrays` in those cases instead.

# Functions

glMultiModeDrawArraysIBM Source #

Arguments

:: MonadIO m |
=> Ptr GLenum | `mode` pointing to `COMPSIZE(primcount)` elements of type PrimitiveType.
-> Ptr GLint | `first` pointing to `COMPSIZE(primcount)` elements of type `GLint`.
-> Ptr GLsizei | `count` pointing to `COMPSIZE(primcount)` elements of type `GLsizei`.
-> GLsizei | `primcount`.
-> GLint | `modestride`.
-> m () |

glMultiModeDrawElementsIBM Source #

Arguments

:: MonadIO m |
=> Ptr GLenum | `mode` pointing to `COMPSIZE(primcount)` elements of type PrimitiveType.
-> Ptr GLsizei | `count` pointing to `COMPSIZE(primcount)` elements of type `GLsizei`.
-> GLenum | `type` of type DrawElementsType.
-> Ptr (Ptr a) | `indices` pointing to `COMPSIZE(primcount)` elements of type `Ptr a`.
-> GLsizei | `primcount`.
-> GLint | `modestride`.
-> m () |